perl-invoker-0.35-alt1.x86_64.rpm


Advertisement

Description

perl-invoker - implicit invoker, sort of

Property Value
Distribution ALT Linux Sisyphus
Repository Autoimports x86_64
Package filename perl-invoker-0.35-alt1.x86_64.rpm
Package name perl-invoker
Package version 0.35
Package release alt1
Package architecture x86_64
Package type rpm
Category Development/Perl
Homepage -
License -
Maintainer -
Download size 18.50 KB
Installed size 18.50 KB
The invoker pragma enables the `$->' syntax for invoking methods
on ` $self ', inspired by Perl6's `$.method' invocation.
The module does not inject the ` $self ' variable for you.  you are
encouraged to use it in conjunction with the self manpage, the selfvars manpage,
<Method::Signatures::Simple>, or other similar modules.

Alternatives

Package Version Architecture Repository
perl-invoker-0.35-alt1.i586.rpm 0.35 i586 Autoimports
perl-invoker - - -

Requires

Name Value
/usr/lib64/perl5 -
libperl-5.28.so()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
perl(B/Hooks/EndOfScope.pm) -
perl(B/Hooks/OP/Check.pm) -
perl(Devel/Declare.pm) >= 0.006.004
perl(XSLoader.pm) -
perl-base >= 1:5.10.1
rpmlib(PayloadIsLzma) -
rpmlib(SetVersions) -
rtld(GNU_HASH) -

Provides

Name Value
perl(invoker.pm) = 0.350
perl-invoker = 0.35-alt1

Download

Type URL
Mirror ftp.altlinux.org
Binary Package perl-invoker-0.35-alt1.x86_64.rpm
Source Package perl-invoker-0.35-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus x86_64 autoimports
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    
  2. Update the package index:
    # sudo apt-get update
  3. Install perl-invoker rpm package:
    # sudo apt-get install perl-invoker

Files

Path
/usr/lib64/perl5/invoker.pm
/usr/lib64/perl5/auto/invoker/invoker.so
/usr/share/doc/perl-invoker-0.35/Changes
/usr/share/doc/perl-invoker-0.35/README

See Also

Package Description
perl-lsutils-1.02-alt2.1.x86_64.rpm perl module lsutils
perl-lsutils-scripts-1.02-alt2.1.x86_64.rpm lsutils scripts
perl-mRuby-0.12-alt3.1.x86_64.rpm mruby binding for perl5
perl-match-simple-XS-0.001-alt4.1.x86_64.rpm XS backend for match::simple
perl-mqs-header-0.01-alt4.1.x86_64.rpm perl module mqs-header
perl-mqs-spool-0.03-alt4.1.x86_64.rpm perl module mqs-spool
perl-multidimensional-0.014-alt3_6.x86_64.rpm Disables multidimensional array emulation
perl-namespace-clean-xs-0.09-alt2.1.x86_64.rpm Keep imports and functions out of your namespace, in XS
perl-nvidia-ml-pl-4.304.2-alt4.1.x86_64.rpm Perl bindings to the NVIDIA Management Library NVML
perl-overload-eval-0.10-alt4.1.x86_64.rpm Hooks the native string eval() function
perl-overload-eval-scripts-0.10-alt4.1.x86_64.rpm overload-eval scripts
perl-overload-substr-0.03-alt4.1.x86_64.rpm overload Perl's C<substr()> function
perl-pamlyn-0.01-alt4.1.x86_64.rpm perl module pamlyn
perl-perl-vgalib-0.4-alt4.1.x86_64.rpm Perl extension for svgalib-1.2.11
perl-perl5i-2.13.2-alt2_10.x86_64.rpm Fix as much of Perl 5 as possible in one pragma
Advertisement
Advertisement